using Microsoft.EntityFrameworkCore;
using System.ComponentModel.DataAnnotations.Schema;

namespace Elwig.Models {
    [Table("delivery_part_bin"), PrimaryKey("Year", "DId", "DPNr")]
    public class DeliveryPartBin {
        [Column("year")]
        public int Year { get; set; }

        [Column("did")]
        public int DId { get; set; }

        [Column("dpnr")]
        public int DPNr { get; set; }

        [ForeignKey("Year, DId, DPNr")]
        public virtual DeliveryPart Part { get; private set; }

        [Column("bin_1")]
        public int? Bin1 { get; set; }

        [Column("bin_2")]
        public int? Bin2 { get; set; }

        [Column("bin_3")]
        public int? Bin3 { get; set; }

        [Column("bin_4")]
        public int? Bin4 { get; set; }

        [Column("bin_5")]
        public int? Bin5 { get; set; }

        [Column("bin_6")]
        public int? Bin6 { get; set; }

        [Column("bin_7")]
        public int? Bin7 { get; set; }

        [Column("bin_8")]
        public int? Bin8 { get; set; }

        [Column("bin_9")]
        public int? Bin9 { get; set; }
    }
}
